Subject: Re: bug#16405: info on non-existent node shows raw info buffer
From: Juri Linkov <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 13 Jan 2014 10:05:03 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

>>   (info "(File That Does Not Exist)Node That Does Not Exist")
>>
>> It displays an empty Info buffer.  I guess it would make sense to visit
>> the Dir node in this case.
>
> Only if you are not in Info already, I hope.  Otherwise, visiting DIR
> doesn't make sense: we should stay put in the node where we were.

This is fixed now to visit DIR only if no previous node is already visited.